accountsservice (23.13.9-7ubuntu1) plucky; urgency=medium

  * Merge with Debian (LP: #2087527). Remaining changes:
  * debian/control:
    - Add build-depends on dh-translations
  * debian/rules:
    - Build with translations to update POT file.
    - set -Dextra_admin_groups to add admin users to the same groups
      than user-setup is using for the initial account
    - We use custom.conf, not daemon.conf
  * debian/libaccountsservice0.symbols:
    - Add symbols added from patches.
  * debian/accountsservice.install:
    - Install language-tools scripts.
  * debian/patches/0001-formats-locale-property.patch:
    - Addition of FormatsLocale property and SetFormatsLocale method.
  * debian/patches/0009-language-tools.patch,
    debian/patches/0010-set-language.patch:
    - Save user language and regional formats settings to
      ~/.pam_environment.
  * debian/patches/0011-add-background-file-support.patch:
    - Add support for a BackgroundFile property, similar to IconFile.
  * debian/patches/0012-add-keyboard-layout-support.patch:
    - Add XKeyboardLayouts property to report a user's keyboard layouts.
  * debian/patches/0013-add-has-message-support.patch:
    - Add XHasMessages property to report if a user had unread messages.
  * debian/patches/0016-add-input-sources-support.patch:
    - Store input sources in the user object.
  * debian/patches/0021-support-extrausers.patch:
    - In addition to watching /etc/{passwd,shadow,group}, also watch
      those same files in /var/lib/extrausers/, if they exist.
  * debian/patches/ubuntu_notest_language.patch:
   - Disable language tests on Ubuntu for now. Our patches to edit
     .pam_environment rely on access to the user directory which isn't working
     in the restricted testing environment

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 13 Nov 2024 11:32:51 +0100

accountsservice (23.13.9-7) unstable; urgency=medium

  * Team upload
  * d/p/tests-s-assertEquals-assertEqual.patch:
    Add patch from upstream git to fix FTBFS with Python 3.12
    (Closes: #1074657)
  * d/p/implicit-funcs.patch:
    Replace NMU'd fix for #1066277 with upstream's functionally equivalent
    change
  * d/tests/control: Require isolation-container.
    The integration.py and pygi.py tests are not expected to pass without
    working system services, which autopkgtest does not guarantee unless
    we have this restriction.
  * d/tests: Skip integration.py if we don't have CAP_SYS_ADMIN.
    This works around systemd being unable to start polkitd in an
    unprivileged podman container (#1078205).
  * Enable full compiler-based hardening (Closes: #1032018)
  * d/patches: Improve DEP-3 metadata.
    Use the git-format-patch compatible dialect of DEP-3 for better interop
    with tools like gbp pq.
  * Add a Lintian override for an intentional empty directory (see #1038137)
  * Standards-Version: 4.7.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Thu, 08 Aug 2024 10:08:19 +0100

accountsservice (23.13.9-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches: Fix implicit function declarations in mocklibc. (Closes:
    #1066277)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 25 Mar 2024 22:57:03 +0100

accountsservice (23.13.9-6) unstable; urgency=medium

  * Team upload

  [ Chris Hofstaedtler ]
  * Install systemd unit into /usr (DEP17 M2) (Closes: #1057897)

  [ Michael Biebl ]
  * Rely on systemd.pc to get systemdsystemunitdir
  * Install empty /usr/share/accountsservice/interfaces directory.
    It's an integration point referenced in accounts-daemon.service.
    (Closes: #1038137)
  * Remove migration code from pre-oldstable

 -- Michael Biebl <biebl@debian.org>  Wed, 31 Jan 2024 12:30:27 +0100

accountsservice (23.13.9-5) unstable; urgency=medium

  * Team upload
  * d/control: Add ${gir:Depends}, ${gir:Provides} to -dev package
    (Helps: #1030223)
  * d/control: Explicitly build-depend on GIR XML included by
    AccountsService-1.0.gir (Helps: #1030223)

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Nov 2023 12:14:43 +0000

accountsservice (23.13.9-4) unstable; urgency=medium

  * Team upload
  * Add locales-all to Build-Depends and enable Tests.test_languages
    - Dropped d/p/Disable-test_languages.patch

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Mon, 04 Sep 2023 23:18:38 +0200

accountsservice (23.13.9-3) unstable; urgency=medium

  * Team upload
  * debian/patches/Disable-test_languages.patch
    - Temporary measure to work around failed test when building
      (closes: #1038865, #1041687).

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Sat, 26 Aug 2023 03:37:58 +0200

accountsservice (23.13.9-2ubuntu6) noble; urgency=medium

  * Cherry-pick FTBFS fix from Debian
  [ Sebastian Ramacher ]
  * debian/patches: Fix implicit function declarations in mocklibc. (Closes:
    #1066277)

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 03 Apr 2024 18:37:38 +0200

accountsservice (23.13.9-2ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:16:05 +0000

accountsservice (23.13.9-2ubuntu4) noble; urgency=medium

  * debian/patches/0001-tests-s-assertEquals-assertEqual.patch:
    Add patch to fix FTBFS with unittest from Python 3.12.
    (LP: #2057710)

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 12 Mar 2024 21:51:36 +0000

accountsservice (23.13.9-2ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:46:43 +0000

accountsservice (23.13.9-2ubuntu2) mantic; urgency=medium

  * SECURITY UPDATE: use-after-free in user.c (LP: #2024182)
    - debian/patches/0010-set-language.patch: updated to properly return
      from functions after throw_error() has been called.
    - CVE-2023-3297

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 28 Jun 2023 11:10:09 -0400

accountsservice (23.13.9-2ubuntu1) mantic; urgency=medium

  * Includes some extra upstream bugfixes

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 26 Jun 2023 16:25:07 +0200

accountsservice (23.13.9-2) unstable; urgency=medium

  * debian/patches/git_user_manager.patch:
    - Disconnect from manager signals when freeing a request and resolve
      indicator-messages crashing on logout (lp: #2015962)
  * debian/patches/git_default_gdm.patch:
    - default to gdm if there display-manager.service isn't a known target,
      which is the case for our gdm called gdm3, fixes the service
      crashing when trying to toggle autologin (lp: #2024870)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 26 Jun 2023 16:20:50 +0200

accountsservice (23.13.9-1ubuntu2) mantic; urgency=medium

  * d/p/0010-set-language.patch:
    - Change the order of things in user_change_language_authorized_cb()
      in src/user.c (LP: #2024560).
  * Drop d/p/language-not-xpg.patch

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sun, 25 Jun 2023 02:21:10 +0200

accountsservice (23.13.9-1ubuntu1) mantic; urgency=medium

  * New upstream version
  * debian/patches/ubuntu_notest_language.patch:
     - Disable language tests on Ubuntu for now. Our patches to edit
       .pam_environment rely on access to the user directory which isn't working
       in the restricted testing environment
  * debian/patches/language-not-xpg.patch:
    - disable new 'XPG locale verification', they make the setlanguage error
      out on value as 'fr_FR:en'.
  * Resynchronize on Debian, remaining Ubuntu changes
  * debian/control:
    - Add build-depends on dh-translations
  * debian/rules:
    - Build with translations to update POT file.
    - set -Dextra_admin_groups to add admin users to the same groups
      than user-setup is using for the initial account
    - We use custom.conf, not daemon.conf
  * debian/libaccountsservice0.symbols:
    - Add symbols added from patches.
  * debian/accountsservice.install:
    - Install language-tools scripts.
  * debian/patches/0001-formats-locale-property.patch:
    - Addition of FormatsLocale property and SetFormatsLocale method.
  * debian/patches/0005-gdm_config_file_path.patch:
    - Disabled, as we are using custom.conf.
  * debian/patches/0009-language-tools.patch,
    debian/patches/0010-set-language.patch:
    - Save user language and regional formats settings to
      ~/.pam_environment.
  * debian/patches/0011-add-background-file-support.patch:
    - Add support for a BackgroundFile property, similar to IconFile.
  * debian/patches/0012-add-keyboard-layout-support.patch:
    - Add XKeyboardLayouts property to report a user's keyboard layouts.
  * debian/patches/0013-add-has-message-support.patch:
    - Add XHasMessages property to report if a user had unread messages.
  * debian/patches/0016-add-input-sources-support.patch:
    - Store input sources in the user object.
  * debian/patches/0021-support-extrausers.patch:
    - In addition to watching /etc/{passwd,shadow,group}, also watch
      those same files in /var/lib/extrausers/, if they exist.

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 21 Jun 2023 16:50:23 +0200

accountsservice (23.13.9-1) unstable; urgency=medium

  * New upstream version
  * Remove cherrpick patches which are included in the new tarball
  * debian/patches/0002-create-and-manage-groups-like-on-a-debian-system.patch:
    - updated to not use a deprecated function anymore
  * debian/patches/0005-gdm_config_file_path.patch:
    - removed, the gdm config file is specified in debian/rules now
  * debian/patches/0007-add-lightdm-support.patch:
    - removed, the feature has been included upstream
  * debian/patches/no-check-format.patch:
    - skip a formatting test which is written to work on a git repo checkout
  * debian/libaccountsservice0.symbols:
    - include new symbols

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 21 Jun 2023 13:08:37 +0200

accountsservice (22.08.8-6) unstable; urgency=medium

  * Team upload
  * d/p/daemon-Don-t-crash-if-etc-shadow-doesn-t-exist.patch:
    Add patch to prevent a crash if /etc/shadow is missing or empty
    (Closes: #1031309)
  * d/patches: Mark most patches as having been applied upstream

 -- Simon McVittie <smcv@debian.org>  Sat, 18 Feb 2023 09:22:31 +0000

accountsservice (22.08.8-5) unstable; urgency=medium

  * Team upload
  * d/p/user-Use-correct-format-strings-to-print-accounts_user_ge.patch,
    d/p/Annotate-varargs-functions-with-G_GNUC_PRINTF.patch:
    Add proposed patches to fix autopkgtest failure on armel and armhf.
    A format string error led to a segfault on these architectures.
  * d/tests/integration.py: Set up libnss-systemd correctly.
    This doesn't actually matter for what we do in this test, but the
    format string was wrong, which would have resulted in getpwuid failing.
  * d/tests/integration.py: Add copyright/licensing headers
  * d/tests/integration.py: Resolve a TODO comment
  * d/tests/integration.py: Don't wait forever for state to change
  * d/tests/integration.py: Lint fixes

 -- Simon McVittie <smcv@debian.org>  Tue, 07 Feb 2023 13:46:10 +0000

accountsservice (22.08.8-4) unstable; urgency=medium

  * Team upload
  * d/p/daemon-Clarify-use-of-generator_state-users.patch,
    d/p/daemon-Define-local-users-as-being-exactly-those-present-.patch:
    Replace previous solution for #1030262 with the version that was merged
    upstream.
    This has the effect that users existing in /etc/passwd but not
    /etc/shadow are treated as remote, which is as intended by upstream
    but had unintentionally regressed in 0.6.50.
    - d/p/daemon-Enumerate-all-users-in-etc-passwd-to-decide-which-.patch:
      Drop patch, superseded by the above
  * d/p/user-Replace-usermod-p-with-chpasswd-e.patch:
    Mark as having been applied upstream

 -- Simon McVittie <smcv@debian.org>  Sun, 05 Feb 2023 21:50:37 +0000

accountsservice (22.08.8-3) unstable; urgency=medium

  * Team upload
  * d/control: accountsservice Recommends polkitd.
    Without polkitd, its D-Bus interface will be essentially read-only.
  * d/tests/integration.py: Add an integration test.
    Among other things, this exercises #1030253 and #1030262, and detected
    the missing Recommends on polkitd.
  * d/p/user-Replace-usermod-p-with-chpasswd-e.patch:
    Add patch to avoid (encrypted) password being briefly visible in /proc
    (Closes: #757912; CVE-2012-6655)
    - d/tests/integration.py: Assert that CVE-2012-6655 was avoided
  * d/copyright: Fix a typo detected by Lintian
  * Standards-Version: 4.6.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sun, 05 Feb 2023 19:07:46 +0000

accountsservice (22.08.8-2) unstable; urgency=medium

  * Team upload

  [ Luca Boccassi ]
  * accountsservice: depend on default-dbus-system-bus | dbus-system-bus,
    instead of requiring a specific implementation

  [ Simon McVittie ]
  * d/control: Build-depend on polkitd instead of transitional policykit-1
    (Closes: #1025542)
  * d/patches: Re-export patch series (no functional changes)
  * d/p/0002-create-and-manage-groups-like-on-a-debian-system.patch:
    Call adduser with --disabled-password instead of --disabled-login.
    These options did essentially the same thing in Debian 11, and probably
    older versions.
    Since adduser 3.130, --disabled-login has the additional effect of
    setting the user's shell to /usr/sbin/nologin, which is not the expected
    default when adding a user via an interface intended for managing
    human users' interactive login accounts. Switching to --disabled-password
    preserves previous functionality here.
    (Closes: #1030253)
  * d/p/daemon-Enumerate-all-users-in-etc-passwd-to-decide-which-.patch:
    Add proposed fix for local users sometimes being treated as remote,
    which results in a misleading UX in gnome-control-center
    (Closes: #1030262)

 -- Simon McVittie <smcv@debian.org>  Fri, 03 Feb 2023 15:51:06 +0000

accountsservice (22.08.8-1ubuntu7) lunar; urgency=medium

  * debian/patches/gitlab_manager_requests.patch:
    - Disconnect from manager signals when freeing a request and resolve
      indicator-messages crashing on logout, thanks Marco! (lp: #2015962)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 13 Apr 2023 23:59:56 +0200

accountsservice (22.08.8-1ubuntu6) lunar; urgency=medium

  * debian/patches/git_users_requests.patch:
    - included more fixes from upstream !128, resolves an invalid read which
      is leading to crashes client softwares (lp: #2012879)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 07 Apr 2023 15:10:37 +0200

accountsservice (22.08.8-1ubuntu5) lunar; urgency=medium

  * src/libaccountsservice/act-user-manager.c:
    - cherry pick a fix invalid users requests (lp: #1966905)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 27 Mar 2023 22:02:47 +0200

accountsservice (22.08.8-1ubuntu4) lunar; urgency=medium

  * debian/patches/0010-set-language.patch:
    - Fix code ambiguity causing compiler warning (LP: #1999698).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 14 Dec 2022 23:36:32 +0100

accountsservice (22.08.8-1ubuntu3) lunar; urgency=medium

  * 0009-language-tools.patch: Let meson set file permissions

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Sat, 12 Nov 2022 23:30:29 +0100

accountsservice (22.08.8-1ubuntu2) lunar; urgency=medium

  * debian/rules:
    - include 'users' in the defaults group list instead of 'lxd',
      https://discourse.ubuntu.com/t/easy-multi-user-lxd-setup

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 11 Nov 2022 09:51:35 +0100

accountsservice (22.08.8-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian, remaining Ubuntu changes:
  * debian/control:
    - Add build-depends on dh-translations
  * debian/rules:
    - Build with translations to update POT file.
    - set -Dextra_admin_groups to add admin users to the same groups
      than user-setup is using for the initial account
    - We use custom.conf, not daemon.conf
  * debian/libaccountsservice0.symbols:
    - Add symbols added from patches.
  * debian/accountsservice.install:
    - Install language-tools scripts.
  * debian/patches/0001-formats-locale-property.patch:
    - Addition of FormatsLocale property and SetFormatsLocale method.
  * debian/patches/0005-gdm_config_file_path.patch:
    - Disabled, as we are using custom.conf.
  * debian/patches/0009-language-tools.patch,
    debian/patches/0010-set-language.patch:
    - Save user language and regional formats settings to
      ~/.pam_environment.
  * debian/patches/0011-add-background-file-support.patch:
    - Add support for a BackgroundFile property, similar to IconFile.
  * debian/patches/0012-add-keyboard-layout-support.patch:
    - Add XKeyboardLayouts property to report a user's keyboard layouts.
  * debian/patches/0013-add-has-message-support.patch:
    - Add XHasMessages property to report if a user had unread messages.
  * debian/patches/0016-add-input-sources-support.patch:
    - Store input sources in the user object.
  * debian/patches/0021-support-extrausers.patch:
    - In addition to watching /etc/{passwd,shadow,group}, also watch
      those same files in /var/lib/extrausers/, if they exist.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 27 May 2022 10:45:46 +0200

accountsservice (22.08.8-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Upstream commits to prevent FTBFS:
    - d/p/tests-fix-the-signature-for-the-SetLocked-call.patch
    - d/p/tests-fix-invocation-of-AddUser.patch
  * Drop d/p/0009-language-tools.patch
  * debian/libaccountsservice0.symbols:
    - Add new expiration policy related symbols
  * Bump Standards-Version to 4.6.1

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Fri, 27 May 2022 00:07:53 +0200

accountsservice (22.07.5-2ubuntu2) kinetic; urgency=medium

  [ Marc Deslauriers ]
  * SECURITY UPDATE: accountsservice incorrect privilege dropping
    (LP: #1974250)
    - debian/patches/0009-language-tools.patch: updated to not reset
      effective uid, and migrate root-owned .pam_environment file.
    - This change was originally known as CVE-2020-16126 and got reverted
      by mistake in 0.6.55-3ubuntu1.
    - CVE-2022-1804
  * Fix FTBFS with a newer python-dbusmock package:
    - debian/patches/adduser_invocation.patch: fix invocation of AddUser in
      tests/dbusmock/accounts_service.py.
    - debian/patches/setlocked_signature.patch: fix the signature for the
      SetLocked call in tests/dbusmock/accounts_service.py.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 24 May 2022 19:53:07 +0200

accountsservice (22.07.5-2ubuntu1) jammy; urgency=medium

  * Merge with Debian, remaining Ubuntu changes:
  * debian/control:
    - Add build-depends on dh-translations
  * debian/rules:
    - Build with translations to update POT file.
    - set -Dextra_admin_groups to add admin users to the same groups than
      user-setup is using for the initial account
    - We use custom.conf, not daemon.conf
  * debian/libaccountsservice0.symbols:
    - Add symbols added from patches.
  * debian/patches/0001-formats-locale-property.patch:
    - Addition of FormatsLocale property and SetFormatsLocale method.
  * debian/patches/0005-gdm_config_file_path.patch:
    - Disabled, as we are using custom.conf.
  * debian/patches/0010-set-language.patch:
    - Save user language and regional formats settings to ~/.pam_environment.
  * debian/patches/0011-add-background-file-support.patch:
    - Add support for a BackgroundFile property, similar to IconFile.
  * debian/patches/0012-add-keyboard-layout-support.patch:
    - Add XKeyboardLayouts property to report a user's keyboard layouts.
  * debian/patches/0013-add-has-message-support.patch:
    - Add XHasMessages property to report if a user had unread messages.
  * debian/patches/0016-add-input-sources-support.patch:
    - Store input sources in the user object.
  * debian/patches/0021-support-extrausers.patch:
    - In addition to watching /etc/{passwd,shadow,group}, also watch those
      same files in /var/lib/extrausers/, if they exist.
  * debian/patches/gitlab_change_types.patch:
    - fix changing account types failing on missing groups
  * debian/patches/gitlab_shared_tmp.patch:
    - don't use a private tmp since API clients sometime store files there

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 22 Feb 2022 16:27:56 +0100

accountsservice (22.07.5-2) unstable; urgency=medium

  * d/p/0002-create-and-manage-groups-like-on-a-debian-system.patch:
    - change back to error out if adding the user to a group fails but
      don't try to use a non existant group instead
  * d/p/0009-language-tools.patch:
    - restore permission marker that got lost by doing a quilt refresh,
      without those the script lack +x permission

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 22 Feb 2022 12:10:38 +0100

accountsservice (22.07.5-1) unstable; urgency=medium

  * New upstream version
  * Remove the patches which are included in the update
  * d/p/0002-create-and-manage-groups-like-on-a-debian-system.patch:
    - changed to warn when trying to add the user to non existant
      groups rather than erroring out since the list is static and some
      default groups are created by optional packages.
  * debian/accountsservice.install:
    - install the new user-templates
  * debian/control, debian/compat:
    - include the build-depends needed for the tests and the vapis
    - updated libglib and meson requirements
    - use current debhelper and standards versions
  * debian/libaccountsservice0.symbols:
    - updated for the new version, the consolekit option has been removed
      but those symbols were not part of the public API
  * debian/libaccountsservice-dev.install:
    - install the vapis
  * debian/rules:
    - don't try to install the NEWS file which isn't provided anymore
    - remove the non existant systemd option

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 21 Feb 2022 20:50:26 +0100

accountsservice (0.6.55-3) unstable; urgency=medium

  * Team upload
  * d/rules: Enable libsystemd dependency, for logind integration.
    This appears to have got lost in the switch to the Meson build system,
    where both libsystemd and libelogind support for communicating with a
    logind implementation are disabled by default (they are mutually exclusive).
    In particular, this fixes the "Switch User..." menu option in GNOME
    Shell, which disappeared because libaccountsservice didn't tell GNOME
    Shell that user-switching was possible.
    This should work equally well for elogind due to libelogind's libsystemd
    ABI compatibility, although I haven't tried that configuration.
    (Closes: #968394)
  * d/control: accountsservice Recommends default-logind | logind.
    About half of accountsservice's functionality is a higher-level API
    over either systemd-logind, or something like elogind that is compatible
    enough to be a reasonable substitute (or ConsoleKit, but that's
    dead upstream and no longer in Debian).
  * d/rules: Explicitly enable GObject-Introspection.
    It's enabled by default, but explicit is better than implicit for this
    sort of thing.
  * d/rules: Simplify how we choose whether to enable gtk-doc.
    Enable it if and only if we are building the libaccountsservice-doc
    package.
  * d/p/build-Add-missing-pkg-config-Requires.private-dependencie.patch:
    Add patch to fix missing pkg-config dependencies
  * d/tests/build: Add a smoke-test for building against
    libaccountsservice with pkg-config
  * d/tests/pygi.py: Add a smoke-test.
    When run from a full desktop session, this should produce
    reasonable-looking results. We don't make any assertions about its
    output because we can't know how an automated test system will be
    configured, but it should at least run successfully and exit 0.

 -- Simon McVittie <smcv@debian.org>  Fri, 14 Aug 2020 15:31:50 +0100

accountsservice (0.6.55-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * Move the daemon to /usr/libexec now that's allowed in the policy

  [ Philip Withnall ]
  * Update group management patches to respect `extra_admin_groups` option.

  [ Iain Lane ]
  * Add patch to not crash in the library when the daemon goes away
    (Closes: #948228) (LP: #1843982)

 -- Iain Lane <laney@debian.org>  Tue, 05 May 2020 16:31:00 +0100

accountsservice (0.6.55-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.6.55 (Closes: #901308)
  * Bump build-dependencies and switch to meson
  * d/p/0002-create-and-manage-groups-like-on-a-debian-system.patch,
    d/p/0005-gdm_config_file_path.patch: Refreshed
  * d/patches/0007-add-lightdm-support.patch,
    d/patches/0009-language-tools.patch: Refreshed using ubuntu patches
  * Drop d/p/1002-dont-override-standardoutput.patch, applied upstream
  * d/p/0015-debian-nologin-path.patch: Dropped not needed anymore
  * d/p/0016-user-fix-insufficient-path-prefix-check.patch: Dropped, applied
    upstream
  * debian/libaccountsservice0.symbols: Add newly exported symbols
  * debian/gir1.2-accountsservice-1.0.install: Install the .typelib file in a
    multiarch directory
  * debian/libaccountsservice0.symbols: Add the Build-Depends-Package field
  * debian/rules: There are no tests defined, so stop overriding dh_auto_test
    as it's useless
  * libaccountsservice-doc: Install the documentation in /usr/share/gtk-doc/
  * Support the nodoc build-profile
  * Bump debhelper compatibility to 12
  * Bump Standards-Version to 4.4.1 (no further changes)
  * debian/accountsservice.postinst: Do not restart accounts-daemon in
    postinst (Closes: #866507)
  * debian/watch: Use https://
  * Stop using dh-exec
  * d/p/1001-move-dbus-conf-file.patch: Move D-Bus conf file to
    /usr/share/dbus-1/system.d
  * debian/control, debian/rules: Remove ancient Breaks/Replaces

 -- Laurent Bigonville <bigon@debian.org>  Sat, 12 Oct 2019 13:12:38 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libaccountsservice0`.
